UI::Util::Rfc3490Utf8Converter Class Reference

Converter UTF-8 <-> rfc3490 (IDN). More...

`#include <Recoder.hpp>`

Inheritance diagram for UI::Util::Rfc3490Utf8Converter:
Collaboration diagram for UI::Util::Rfc3490Utf8Converter:

## Public Member Functions

| Rfc3490Utf8Converter (bool const encode=true)
| Constructor; inEnc and outEnc are fixed by the encode flag.
Conversion const * | make (char const *const buf, size_t const bufSize) const
| Convert from byte buffer.
Public Member Functions inherited from UI::Util::Converter
| Converter (std::string const &inEnc, std::string const &outEnc, bool const &sloppy=false)
| Converter base constructor.
Conversion const * | make (char const *const cStr) const
| Convert from C-String.
Conversion const * | make (std::string const &str) const
| Convert from std::string.
std::string | getID () const
| Get id (informational).

## Additional Inherited Members

Public Types inherited from UI::Util::Converter
enum | ErrorCode { EncUnknown_ , ConversionErr_ , UnknownErr_ }
| Error codes for exceptions.
typedef CodeException< ErrorCode > | Exception
| Exceptions for this class.
Protected Attributes inherited from UI::Util::Converter
std::string const | inEnc_
std::string const | outEnc_
bool const | sloppy_

## Detailed Description

Converter UTF-8 <-> rfc3490 (IDN).

## Member Function Documentation

## make()

Conversion const * UI::Util::Rfc3490Utf8Converter::make | ( | char const *const | buf,
|  | size_t const | bufSize
| ) |  | const

virtual

Convert from byte buffer.

Implements UI::Util::Converter.

References UI_THROW_CODE.

The documentation for this class was generated from the following files:

- Recoder.hpp
- Recoder.cpp